# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'migrate_unless/version'

Gem::Specification.new do |spec|
  spec.name          = "migrate_unless"
  spec.version       = MigrateUnless::VERSION
  spec.authors       = ["Dave Zoltok", "François Villeneuve"]
  spec.email         = ["dzoltok@thestar.ca", "fvilleneuve@thestar.ca"]
  spec.summary       = %q{Checks for existence/non-existence of tables and columns in migration}
  spec.description   = %q{Overrides the default migration templates to double-check whether tables and columns exist or not before database changes are made.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake", "~> 0"
end
